{% extends 'pathotrack/layout/base.html' %}

{% block content %}

<div class="box">
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Reports List</h3>
    </div>
    <div class="card-body border-bottom py-3">
        <div class="row">
            <div class="col-md-6 mb-2 text-muted form-group">
                Name:
                    <input type="text" id="name" class="form-control mt-1">
            </div>
            <div class="col-md-3 mb-2 text-muted form-group">
                Phone No:
                <input type="text" id="phone" class="form-control mt-1">
            </div>
            <div class="col-md-3 mb-2 text-muted form-group">
                Date:
                <div class="input-icon">
                    <input id="calendar-time" type="date" name="{{ form.patient_dob.name }}" value="{{ form.patient_dob.value|date:"Y-m-d" }}" class="form-control" placeholder="Select a date" />
                    <span class="input-icon-addon"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><rect x="4" y="5" width="16" height="16" rx="2" /><line x1="16" y1="3" x2="16" y2="7" /><line x1="8" y1="3" x2="8" y2="7" /><line x1="4" y1="11" x2="20" y2="11" /><line x1="11" y1="15" x2="12" y2="15" /><line x1="12" y1="15" x2="12" y2="18" /></svg>
                    </span>
                </div>
            </div>
            <div class="col-md-3 mb-2 text-muted form-group">
                Pathology ID:
                <input type="text" id="pathoid" class="form-control mt-1">
            </div>
            <div class="col-md-3 mb-2 text-muted form-group">
                Sample:
                <input type="text" id="sample" class="form-control mt-1">
            </div>
            <div class="col-md-3 mb-2 text-muted form-group">
                Histologic Type:
                <input type="text" id="histology" class="form-control mt-1">
            </div>
            <div class="col-md-3 mb-2 text-muted form-group">
                Clear Fields:
                <button id="clearfield" class="form-control mt-1 btn btn-primary" type="submit" name="submit" value="view">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-md" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"></path><path d="M19 19h-11l-4 -4a1 1 0 0 1 0 -1.41l10 -10a1 1 0 0 1 1.41 0l5 5a1 1 0 0 1 0 1.41l-9 9"></path><path d="M18 12.3l-6.3 -6.3"></path></svg>
                    Clear
                </button>

            </div>
        </div>
    </div>
    <div class="table-responsive p-1">
        <table id="patient_table" class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>Sl No</th>
                    <th>Name</th>
                    <th>Pathology ID</th>
                    <th>Sample</th>
                    <th>Histologic Type</th>
                    <th>Entry Date</th>
                    <th>Phone No</th>
                    <th>Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
        </table>
    </div>
  </div>
</div>
<!-- {% load static %}
     <script src="{% static 'datatable.js' %}"></script> -->

<script>

 $(document).ready(function() {
     
     var table = $('#patient_table').DataTable({
         "serverSide": true,
         "ajax": "{% url "consolidated-reports:datalist" %}",
         //   "lengthMenu": [[10, 20, 50], [10, 20, 50]],
         "lengthChange": false,
         "searching": true,
         "sDom": 't<"float-right d-inline-flex p-2"p>',
         "columnDefs": [
             { "searchable": true,
               "targets": 1 },

             {"searchable": false,
              "orderable": false,
              "targets": 0
             } ],
         "order": [[ 1, 'asc' ]]
     });

     table.on( 'order.dt search.dt', function () {
         table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i)
             {
                 cell.innerHTML = i+1;
             } );
     } ).draw();


     $('#name').keyup(function(){
         table.column(1).search($(this).val()).draw();
     });

     $('#phone').keyup(function(){
         table.column(6).search($(this).val()).draw();
     });

     $('#pathoid').keyup(function(){
         table.column(2).search($(this).val()).draw();
     });

     $('#sample').keyup(function(){
         table.column(3).search($(this).val()).draw();
     });

     $('#clearfield').click(function(){
         $('#name').val('');
         $('#phone').val('');
         $('#pathoid').val('');
         $('#sample').val('');
         $('#calendar-time').val('');
         $('#histology').val('');
         table.column(1).search('').draw();
         table.column(6).search('').draw();
         table.column(2).search('').draw();
         table.column(3).search('').draw();
         table.column(5).search('').draw();
         table.column(4).search('').draw();

     }); 
     /* 
      *      $('#histology').keyup(function(){
      *          table.column(4).search($(this).val()).draw() ;
      *      });
      *      */
     //  $("#pagination_theme").append($(".dataTables_paginate"));
  	 flatpickr(document.getElementById('calendar-time'), {
         defaultDate: $('#calendar-time').val(),
         onChange: function(selectedDates, dateStr, instance) {
             $('#calendar-time').val(dateStr);
             console.log($('#calendar-time').val());
             console.log(dateStr);
             table.column(5).search(dateStr).draw();

         },

     });

 });



</script>

{% endblock content %}
